<?php
//	include_once("../kernel.php");
	session_start();
	include_once("../kernel.php");
	if(!isset($_SESSION['user_id']))
                die(lang_fa_class::access_deny);
        $se = security_class::auth((int)$_SESSION['user_id']);
        if(!$se->can_view)
                die(lang_fa_class::access_deny);
	function loadKhadamat($hotel_id)
	{
		mysql_class::ex_sql("select `id`,`name` from `khadamat` where `en`=1 and `hotel_id`=".$hotel_id,$q);
		while($r = mysql_fetch_array($q))
			$out[$r['name']]=$r['id'];
		return ($out);
	}
	$sandogh_id = (isset($_REQUEST['sandogh_id']))?(int)$_REQUEST['sandogh_id']:-1;
	$sandogh = new sandogh_class($sandogh_id);
	$hotel = new hotel_class($sandogh->hotel_id);
	$sandogh_n[$sandogh->name.'-'.$hotel->name] = $sandogh_id;
	$grid = new jshowGrid_new("sandogh_khadamat","grid1");
	$grid->setERequest(array('sandogh_id'=>$sandogh_id));
	$wer = '1=0';
	if($sandogh_id>0)
		$wer = " `sandogh_id` =$sandogh_id";

	$grid->whereClause = $wer;
	$grid->columnHeaders[0] = null;
	$grid->columnHeaders[1]="صندوق";
	$grid->columnHeaders[2]="خدمات";
	$grid->columnLists[1]= $sandogh_n;
	$grid->columnLists[2]= loadKhadamat($sandogh->hotel_id) ;
	$grid->intial();
	$grid->executeQuery();
	$out = $grid->getGrid();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<!-- Style Includes -->
		<link type="text/css" href="../js/jquery/themes/trontastic/jquery-ui.css" rel="stylesheet" />
		<link type="text/css" href="../js/jquery/window/css/jquery.window.css" rel="stylesheet" />

		<link type="text/css" href="../css/style.css" rel="stylesheet" />

		<!-- JavaScript Includes -->
		<script type="text/javascript" src="../js/jquery/jquery.js"></script>

		<script type="text/javascript" src="../js/jquery/jquery-ui.js"></script>
		<script type="text/javascript" src="../js/jquery/window/jquery.window.js"></script>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>
دسترسی فرانت آفیس
		</title>
		<script type="text/javascript" >
			function filter_frm()
			{
				document.getElementById('frm1').submit();
			}
		</script>
	</head>
	<body>
                <?php echo security_class::blockIfBlocked($se,lang_fa_class::block); ?>
		<div align="right" style="padding-right:30px;padding-top:10px;">
			<a href="help.php" target="_blank"><img src="../img/help.png"/></a>
		</div>
		<div align="center" style="margin:10px;padding:5px;" >
			<?php echo $out;  ?>
		</div>
	</body>
</html>
